Bug 1788512 - python-bleach fails to build in Fedora
Summary: python-bleach fails to build in Fedora
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-bleach
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-01-07 11:50 UTC by Miro Hrončok
Modified: 2020-02-19 08:54 UTC (History)
6 users (show)

Fixed In Version: python-bleach-3.1.0-5.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-19 08:40:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github mozilla bleach issues 503 None closed Test suite fails with Python 3.8.1 2020-05-22 18:17:16 UTC

Description Miro Hrončok 2020-01-07 11:50:43 UTC
python-bleach fails to build with Python 3.9.0a2.

=================================== FAILURES ===================================
_ test_uri_value_allowed_protocols[<a href="example.com:8000">valid</a>-kwargs6-<a href="example.com:8000">valid</a>] _

data = '<a href="example.com:8000">valid</a>', kwargs = {'protocols': ['http']}
expected = '<a href="example.com:8000">valid</a>'

    @pytest.mark.parametrize('data, kwargs, expected', [
        ...,
    ])
    def test_uri_value_allowed_protocols(data, kwargs, expected):
>       assert clean(data, **kwargs) == expected
E       assert '<a>valid</a>' == '<a href="example.com:8000">valid</a>'
E         - <a>valid</a>
E         + <a href="example.com:8000">valid</a>

tests/test_clean.py:676: AssertionError
_ test_uri_value_allowed_protocols[<a href="localhost:8000">valid</a>-kwargs8-<a href="localhost:8000">valid</a>] _

data = '<a href="localhost:8000">valid</a>', kwargs = {'protocols': ['http']}
expected = '<a href="localhost:8000">valid</a>'

    @pytest.mark.parametrize('data, kwargs, expected', [
        ...,
    ])
    def test_uri_value_allowed_protocols(data, kwargs, expected):
>       assert clean(data, **kwargs) == expected
E       assert '<a>valid</a>' == '<a href="localhost:8000">valid</a>'
E         - <a>valid</a>
E         + <a href="localhost:8000">valid</a>

tests/test_clean.py:676: AssertionError
_ test_uri_value_allowed_protocols[<a href="192.168.100.100:8000">valid</a>-kwargs10-<a href="192.168.100.100:8000">valid</a>] _

data = '<a href="192.168.100.100:8000">valid</a>'
kwargs = {'protocols': ['http']}
expected = '<a href="192.168.100.100:8000">valid</a>'

    @pytest.mark.parametrize('data, kwargs, expected', [
        ...,
    ])
    def test_uri_value_allowed_protocols(data, kwargs, expected):
>       assert clean(data, **kwargs) == expected
E       assert '<a>valid</a>' == '<a href="192.168.100.100:8000">valid</a>'
E         - <a>valid</a>
E         + <a href="192.168.100.100:8000">valid</a>

tests/test_clean.py:676: AssertionError
===================== 3 failed, 308 passed in 1.36 seconds =====================

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01140011-python-bleach/

For all our attempts to build python-bleach with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-bleach/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33, but the initial bootstrapping has already started.
A build failure this early in the bootstrap sequence blocks us very much.

Comment 1 Miro Hrončok 2020-01-07 11:55:02 UTC
https://koschei.fedoraproject.org/package/python-bleach?collection=f32 reveals this is the case for Python 3.8 as well.

Since https://koschei.fedoraproject.org/build/7334939

Comment 2 Miro Hrončok 2020-01-07 11:55:44 UTC
Upstream is aware: https://github.com/mozilla/bleach/issues/503

Comment 3 Ben Cotton 2020-02-11 17:37:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 4 Fedora Release Engineering 2020-02-16 04:27:52 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule


Note You need to log in before you can comment on or make changes to this bug.